using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace KstCMS.KstCMS_Manager.Manager.Feeback.lb
{
    public partial class EditFrm : KstCmsBase.WebPage.FrmControl
    {
        string Lbid = System.Web.HttpContext.Current.Request.QueryString.Get("LbID");
        protected void Page_Load(object sender, EventArgs e)
        {
            OkBtn.Click += new EventHandler(OkBtn_Click);
            if (!IsPostBack)
            {
                string[] cons = new string[] { "类别名称~!" };
                base.Set_Control(cons, txt_LbName);
                txt_LbName.Text = KstCmsBase.DAL.Feeback.Ly.Get_LyLbInfo(Convert.ToInt32(Lbid)).LbName;
            }
        }

        void OkBtn_Click(object sender, EventArgs e)
        {
            string[] update = new string[] { txt_LbName.Text.Trim() };
            KstCmsBase.DAL.Feeback.Ly.Lylb_Update(Convert.ToInt32(Lbid), update, "LbName");
            ShowMsgModle("修改成功！", "parent.document.location.reload();");
        }
    }
}